<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="schedulerDialogView">
	<hx:panelBox id="schedulerDialogbox" layout="pageDirection">
		
		<h:outputText value="<p>" escape="false" id="schedule1space"/>
		<h:outputText value="#{msg.LBL_SCHEDULECONFIRM_TEXT}" rendered="#{manageServerUIBean.scheduleValidationStatus}" id="schedulconfirmtext"/>	
		<h:outputText value="#{msg.ERR_SCHEDULEVALIDATION}" rendered="#{!manageServerUIBean.scheduleValidationStatus}" id="scshedulevaltext"/>
		
		<h:outputText value="<br>" escape="false" id="schedule2space"/>		
		<h:panelGrid columns="2">
			<hx:commandExButton
				action="#{manageServerUIBean.scheduleSubmit}"
				value="#{msg.LBL_YES}" type="submit"
				id="scedulerokbutton" disabled="#{!manageServerUIBean.scheduleValidationStatus}">
				<hx:behavior event="onclick"
					targetAction="scheduledialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>


			<hx:commandExButton value="#{msg.LBL_NO}"
				action="#{manageServerUIBean.scheduleCancel}"
				type="submit" id="scedulecancelbutton">
				<hx:behavior event="onclick"
					targetAction="scheduledialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>
			
		</h:panelGrid>

	</hx:panelBox>
</f:subview>
