<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />
<f:subview id="delete_adapters">
	<f:loadBundle var="msg" basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"/>
		
		<h:panelGrid id="panelGeneral" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">
				
				<usmc:outputLabel id="labelPartitionName" styleClass="outputText"
					value="#{msg['GeneralProperties.PartitionName']}" for="textPartitionName_new"/>		
				<h:panelGrid>
					<h:inputText id="textPartitionName_new" value="#{partitionGeneralPropertiesBean.name}" size="40" maxlength="47" required="true">
						<f:validator validatorId="PartitionGeneralPropertiesValidator"/>
					</h:inputText>
				</h:panelGrid>
				
				<h:outputLabel id="labelIPlSrc" styleClass="outputText"
					value="#{msg['Settings.IPLSource']}" for="selectIPLSrc" rendered="#{partitionGeneralPropertiesBean.isIBMi}"/>
				<h:selectOneMenu id="selectIPLSrc" styleClass="selectOneMenu" value="#{partitionGeneralPropertiesBean.selectedIPLSource}" rendered="#{partitionGeneralPropertiesBean.isIBMi}">
					<f:selectItems value="#{partitionGeneralPropertiesBean.iplSourceList}"/>
				</h:selectOneMenu>
					
				<h:outputLabel id="labelKeylockPos" styleClass="outputText"
					value="#{msg['Settings.KeylockPosition']}" for="selectKeyLockPosMenu"></h:outputLabel>
				<h:selectOneMenu id="selectKeyLockPosMenu" styleClass="selectOneMenu" value="#{partitionGeneralPropertiesBean.selectedKeylockPosition}" >
					<f:selectItems value="#{partitionGeneralPropertiesBean.selectedKeyLockPositionList}"/>
				</h:selectOneMenu>
				
				<h:outputLabel id="labelPartitionWorkloadGroup" styleClass="outputText"
							value="#{msg['Settings.PartitionWorkloadGroup']}" for="cbPartitionWorkloadGroup"></h:outputLabel>
				<h:inputText id="cbPartitionWorkloadGroup" value="#{partitionGeneralPropertiesBean.workLoadGrpId}" maxlength="8" size="10" >
					<f:validator validatorId="PartitionGeneralPropertiesValidator"/>
				</h:inputText>
				
				<h:outputLabel id="labelTimeReference" styleClass="outputText"
					value="#{msg['Settings.TimeReference']}" for="cbTimeReference"></h:outputLabel>
				<h:selectBooleanCheckbox id="cbTimeReference" value="#{partitionGeneralPropertiesBean.timeReference}" />
				
				<h:outputText id="labelHibernatable" styleClass="outputText"
								value="#{msg['Settings.hibernatable']}" rendered="#{partitionGeneralPropertiesBean.isCecHibernateCapable}"></h:outputText>
				<h:selectBooleanCheckbox id="checkBoxHibernatable" value="#{partitionGeneralPropertiesBean.hibernatable}" rendered="#{partitionGeneralPropertiesBean.isCecHibernateCapable}"/>
						
		</h:panelGrid>
			
			<hx:panelBox cellspacing="10" cellpadding="0">
				<hx:commandExButton id="okbutton" value="#{msg['commandButton.ok']}" action="#{EDITVSGENERALPROPERTIESTASK.submit}">
					<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
				</hx:commandExButton>
				<hx:commandExButton id="cancelbutton" value="#{msg['commandButton.cancel']}" action="#{EDITVSGENERALPROPERTIESTASK.cancel}" immediate="true"> 
					<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
				</hx:commandExButton>
			</hx:panelBox>

</f:subview>
