!--  Expand/collapse section for Physical Volume -->
<hx:panelSection initClosed="false" title="PhysicalVolume" id="PhysicalVolumePanelSection" styleClass="panelSectionDPSMWide">
	<h:panelGrid rendered = "#{physicalVolumeBean.lparType == 'client'}" id="PhysicalVolumeClientPanelGrid" width="100%" styleClass="panelGrid">
		<h:outputText id="PhysicalVolumeClientOverviewText" value="#{msg['vsmPhysVolume.PhysicalVolumeOverview']}"></h:outputText>
	</h:panelGrid>
				
	<h:panelGrid rendered = "#{physicalVolumeBean.lparType == 'server'}" id="PhysicalVolumeServerPanelGrid" width="100%" styleClass="panelGrid">
		<h:outputText id="PhysicalVolumeServerText" value="#{msg['vsmPhysVolume.PhysicalVolumeVIOSOverview']}"></h:outputText>
	</h:panelGrid>
	
	<f:facet name="closed">
		<hx:jspPanel id="PhysicalVolume_1">
			<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" align="bottom" border="0" hspace="0" vspace="0"/>
			<h:outputText id="PhysicalVolume_caption1" value="#{msg['vsmPhysVolume.PhysicalVolume']}"></h:outputText>
		</hx:jspPanel>
	</f:facet>
	<f:facet name="opened">
		<hx:jspPanel id="PhysicalVolume_2">
			<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" align="bottom" border="0" hspace="0" vspace="0"/>
			<h:outputText id="PhysicalVolume_caption2" styleClass="outputText"
				value="#{msg['vsmPhysVolume.PhysicalVolume']}"></h:outputText>
		</hx:jspPanel>
	</f:facet>
				
	<h:panelGrid rendered = "#{physicalVolumeBean.lparType == 'client'}" id="PhysicalVolumeClientTable" columns="2" width="100%" styleClass="panelGrid" cellspacing="5">
		<usmc:navigatorWidget id="CLIENT_PV_NAVIGATOR_ID" modelID="USMI" homeID="PHYSICALVOLUME_CONFIGURATION" rows="5" selectionPolicy="multiple" includeSearch="true" nonNavigationActionsAllowed="false" includeToolbar="true" includeEmptyRows="false" includeSort="false" includeNavigationalHistory="false"> </usmc:navigatorWidget>
	</h:panelGrid>
					
	<h:panelGrid rendered = "#{physicalVolumeBean.lparType == 'server'}" id="VIOSPhysicalVolumeServerTable" columns="2" width="100%" styleClass="panelGrid" cellspacing="5">
		<usmc:navigatorWidget id="VIOS_PV_NAVIGATOR_ID"  modelID="USMI" homeID="VIOSPHYSICALVOLUME_CONFIGURATION" selectionPolicy="single" rows="5" includeSearch="true" nonNavigationActionsAllowed="false" includeToolbar="true" includeEmptyRows="false" includeSort="false" includeNavigationalHistory="false"> </usmc:navigatorWidget>
	</h:panelGrid>
					
</hx:panelSection>