<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%><%-- tpl:metadata --%>
	<%-- jsf:pagecode language="java" location="/src/pagecode/jsps/sharedprocessorpool/ModifyShareProcAttribute1.java" --%><%-- /jsf:pagecode --%>
<%-- /tpl:metadata --%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />

<f:subview id="AddVirtualDiskSubView">
<f:loadBundle basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" var="msg" />
	<usmc:form id="form_AddVirtualDisk" includeErrorMessageWidget="false">
		<h:panelGrid id="AddVirtualDiskOverview_Panel" rendered="#{AddVirtualDiskBean.hasRMC == 'true'}">
			<h:outputText id="VirtualDisk_OverviewText" value="#{msg['virtDisk.OverviewMessage']}" styleClass="outputText"></h:outputText>
		</h:panelGrid>
		
		<h:panelGrid id="AddVirtualDiskRMC_Panel" rendered="#{AddVirtualDiskBean.hasRMC == 'false'}">
			<h:outputText id="VirtualDisk_RMCText" value="#{msg['rmc.noRmcMessage']}" styleClass="outputText"></h:outputText>
		</h:panelGrid>
		
		<h:panelGrid id="AddVirtualDisk_PanelGrid" rendered="#{AddVirtualDiskBean.hasRMC == 'true'}" columns="2">
			<h:outputText id="AddVirtualDiskVIOS_Text" value="#{msg['virtDisk.VIOS']}" styleClass="outputText"></h:outputText>
			<h:selectOneMenu id="VIOSMenu" styleClass="selectOneMenu" immediate="true" value="#{AddVirtualDiskBean.serverType}" onchange="submit()">
				<f:selectItems value="#{AddVirtualDiskBean.serverTypeList}"/>
				<f:valueChangeListener type="com.ibm.dpsm.console.vsm.manageserver.task.storagedev.virtualdisk.AddVirtualDiskTask"/>
			</h:selectOneMenu>
		</h:panelGrid>
		
		<h:panelGrid id="AddVirtualDiskTableGrid" rendered="#{AddVirtualDiskBean.hasRMC == 'true'}" columns="2" width="100%" styleClass="panelGrid" cellspacing="5">
			<usmc:navigatorWidget id="ADD_VD_NAVIGATOR_ID" modelID="USMI" homeID="ADDVIRTUALDISK_CONFIGURATION" 
								  selectionPolicy="multiple" includeSearch="true" rows="5" includeAjax="true" 
								  nonNavigationActionsAllowed="false" includeToolbar="false" 
							      includeEmptyRows="false" includeSort="false" includeNavigationalHistory="false"> 
            </usmc:navigatorWidget>
		</h:panelGrid>
		
		<h:panelGrid rendered="#{AddVirtualDiskBean.vscsiMappingExists}" id="AddVirtualDiskSCSI_Panel">
			<h:outputText id="VirtualDisk_SCSIText" value="#{msg['virtDisk.SCSIAdapters']}" styleClass="outputText"></h:outputText>
		</h:panelGrid>
		
		<h:panelGrid id="AddVirtualDiskServerClient_Panel" rendered="#{AddVirtualDiskBean.vscsiMappingExists}" columns="2">
			<usmc:outputLabel id="AddVirtualDiskSClientText" styleClass="outputText" value="#{msg['virtDisk.clientAdapter']}" for="AddVirtualDiskSClientValue"></usmc:outputLabel>
			<h:inputText id="AddVirtualDiskSClientValue" maxlength="7" required="true"  value="#{AddVirtualDiskBean.clientAdapter}" styleClass="inputText">
			<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['virtDisk.clientAdapter']}" />
			</h:inputText>
			
			<usmc:outputLabel id="AddVirtualDiskServerText" styleClass="outputText" value="#{msg['virtDisk.serverAdapter']}" for="AddVirtualDiskServerValue"></usmc:outputLabel>
			<h:inputText id="AddVirtualDiskServerValue" maxlength="7" required="true" value="#{AddVirtualDiskBean.serverAdapter}" styleClass="inputText">
			<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['virtDisk.serverAdapter']}" />
			</h:inputText>
			<hx:behaviorKeyPress key="Enter" id="behaviorKeyPressAddVirtualDisk" behaviorAction="stop" targetAction="" target="AddVirtualDiskServerClient_Panel"></hx:behaviorKeyPress>
		</h:panelGrid>
		
	<h:panelGrid id="AddVirtualDiskButtons">
		<h:panelGroup style="display:block;text-align:left">
			<h:commandButton id="ok" value="#{msg['commandButton.ok']}" action="#{CLIENTVIRTUALDISKADDTASK.submit}"/>
			<h:commandButton id="cancel" value="#{msg['commandButton.cancel']}" action="#{CLIENTVIRTUALDISKADDTASK.cancel}" immediate="true"/>
		</h:panelGroup>
	</h:panelGrid>
		
</usmc:form>
	
</f:subview>