<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />
<f:subview id="VIOSVDPropDialogView">
<f:loadBundle
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />
<h:form id="form_ViewVIOSVDProp">

<h:panelGrid id="panelGrid_ViewVIOSVDProp" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">

	<h:outputText id="vios_vd_name_label" styleClass="outputText" value="#{msg['viosVDProp.name']}"></h:outputText>
	<h:outputText id="vios_vd_name_outputText1" value="#{viosVdiskPropertyBean.name}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="assignedVS_label" styleClass="outputText" value="#{msg['viosVDProp.assignedVS']}"></h:outputText>
	<h:outputText id="assignedVS_outputText" value="#{viosVdiskPropertyBean.assignedVirtualServer}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
							
	<h:outputText id="vios_vd_size_label" styleClass="outputText" value="#{msg['viosVDProp.size']}"></h:outputText>
	<h:outputText id="vios_vd_size_outputText" value="#{viosVdiskPropertyBean.size}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
								
	<h:outputText id="storagePool_label" styleClass="outputText" value="#{msg['viosVDProp.storagePool']}" ></h:outputText>
	<h:outputText id="storagePool_outputText" value="#{viosVdiskPropertyBean.storagePool}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="vios_vd_ppSize_label" styleClass="outputText" value="#{msg['viosVDProp.physicalPartSize']}" ></h:outputText>
	<h:outputText id="vios_vd_ppSize_outputText" value="#{viosVdiskPropertyBean.physicalPartitionSize}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="vios_vd_pVolume_label" styleClass="outputText" value="#{msg['viosVDProp.physicalVol']}" ></h:outputText>
	<h:outputText id="vios_vd_pVolume_outputText" value="#{viosVdiskPropertyBean.physicalVolumes}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
</h:panelGrid>
	
<h:panelGrid id="panelGrid_ViewVIOSVDPropSCSILabel" columns="1" styleClass="panelGrid" cellspacing="5" width="100%">
	
	<h:outputText id="vios_vd_scsciText_label" style="font-weight:bold" styleClass="outputText" value="#{msg['viosVDProp.scsiLabel']}" ></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
</h:panelGrid>

<h:panelGrid id="panelGrid_ViewVIOSVDPropSecond" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">
	
	<h:outputText id="vios_vd_clientSCSI_label" styleClass="outputText" value="#{msg['viosVDProp.clientAdapter']}" ></h:outputText>
	<h:outputText id="vios_vd_clientSCSI_outputText" value="#{viosVdiskPropertyBean.clientAdapter}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="vios_vd_serverSCSI_label" styleClass="outputText" value="#{msg['viosVDProp.serverAdapter']}" ></h:outputText>
	<h:outputText id="vios_vd_serverSCSI_outputText" value="#{viosVdiskPropertyBean.serverAdapter}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
							
</h:panelGrid>
<h:panelGrid id="panelGrid_vios_vd_CommandButtons1" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">		
		<h:panelGroup style="display:block;text-align:left">
			<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}" action="#{VIOSVIRTUALDISKPROPERTYTASK.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGroup>
</h:panelGrid>


</h:form>		
</f:subview>