<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ page language="java" contentType="text/html"
	pageEncoding="ISO-8859-1" session="false"%>

<portlet:defineObjects />
<f:loadBundle
	basename="com.ibm.dpsm.sfp.repairverify.resume.nl1.ResumeRepairBundle"
	var="msg" />

<f:view>
	<hx:scriptCollector id="resumeRepairView_scriptCollector">
		<usmc:form styleClass="form" id="form1" includeDynamicRefresh="true"
			includeErrorMessageWidget="true">
			<h:panelGroup id="mainPanel" styleClass="panelGroup">
				<h:panelGrid id="resume_panelGrid1" styleClass="panelGrid"
					columns="1" cellpadding="0" cellspacing="0" width="100%">
					<h:panelGroup id="topPanel1">
						<h:outputText id="introNote" styleClass="outputText"
							value="#{msg.intro}" />
					</h:panelGroup>
					<usmc:navigatorWidget id="navWidgetResumeRepairExt" modelID="USMI"
						homeID="SFPRV" navigationPolicy="none" includeEmptyRows="false"
						selectionPolicy="none" includeFooter="none">
					</usmc:navigatorWidget>
					<h:panelGroup id="topPanel2">
						<f:verbatim>
							<BR>
						</f:verbatim>
						<hx:commandExButton type="submit" value="#{msg.buttonClose}"
							id="resumeCancelButton" action="#{ResumeRepairPageBean.close}"
							styleClass="commandExButton">
						</hx:commandExButton>
					</h:panelGroup>
				</h:panelGrid>
			</h:panelGroup>
		</usmc:form>
	</hx:scriptCollector>
</f:view>
