<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<hx:panelBox layout="pageDirection">

<h:panelGrid id="loadgrid" columns="1">
	<usmc:outputLabel id="lslabel1" for="loadAdapter" value="#{msg.LoadSourceLabel1}" styleClass="headerText"></usmc:outputLabel>
	<h:selectOneMenu id="loadAdapter" value="#{vs_bean.loadSrcDRCIndex}" style="width:350px">
		<f:selectItems value="#{ct_vs_pagecode.listIO}"></f:selectItems>
	</h:selectOneMenu>
</h:panelGrid>
<h:outputText value="<br>" escape="false"/>
<h:panelGrid id="altgrid" columns="1">
	<usmc:outputLabel id="lslabel2" for="altAdapter" value="#{msg.LoadSourceLabel2}" styleClass="headerText"></usmc:outputLabel>
	<h:selectOneMenu id="altAdapter" styleClass="selectOneMenu" value="#{vs_bean.alternateLDSrcDRCIndex}" style="width:350px">
		<f:selectItems value="#{ct_vs_pagecode.alternateldSrcIO}"></f:selectItems>
	</h:selectOneMenu>
</h:panelGrid>
<h:outputText value="<br>" escape="false"/>
<h:panelGrid id="consgrid" columns="1">
	<usmc:outputLabel id="lslabel3" for="consAdapter" value="#{msg.LoadSourceLabel3}" styleClass="headerText"></usmc:outputLabel>
	<h:selectOneMenu id="consAdapter" styleClass="selectOneMenu" value="#{vs_bean.consoleDRCIndex}" style="width:350px">
		<f:selectItems value="#{ct_vs_pagecode.consoleIO}"></f:selectItems>
	</h:selectOneMenu>
</h:panelGrid>

</hx:panelBox>