<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="strgVirAdapDispProps">

	<hx:panelBox id="strgVirAdapDialogbox" layout="pageDirection">
	
	<usmc:messageBox id="strgVirAdapMessageBox"
							               messageCollection="#{messageBoxBean.messages}"
							               styleClass="taskInfo"
							               immediate="true"
							               closeLinkVisible="false"
							               closeListener="#{messageBoxBean.handleClose}"
							               />
			
			<h:panelGrid id="panel1">
			<h:outputText id="create_adapter_id1" value="#{msg.LBL_STRGVIRADAP_TEXT} "/>
			</h:panelGrid>
			
			<h:outputText id="outputext56" value="<p>" escape="false"/>
			
			<h:panelGrid id="adapternamepanel">
			
			<hx:ajaxRefreshSubmit id="adapterTypeRefersh"/>
			<h:panelGrid id="panel2" columns="2">
				<usmc:outputLabel id="create_adapter_id3" value="#{msg.LBL_VIRSTRGADAP_ID}" for="create_adapter_id" />
					<h:outputText id="create_adapter_id" value="#{manageVirAdaptersUIBean.vadapterDetail.adapterNameString.value}"/>
			</h:panelGrid>		
	
			<h:panelGrid id="panel3" columns="2">
				<usmc:outputLabel id="create_adapter_id5" value="#{msg.LBL_VIRSTRGADAP_TYPE}" for="selectOneAdapterType" />
				<h:outputText value="#{manageVirAdaptersUIBean.vadapterDetail.adapterTypeString}" id="selectOneAdapterType"/>
			</h:panelGrid>		
			
			<h:outputText value="<br>" escape="false"/>
			
			<h:outputText id="create_adapter_id8" value="#{msg.LBL_VIRSTRGCONNVSERV_HEADING}"	styleClass="headerText"/>
			
			<h:panelGrid id="connServerPanel" columns="2">
			
				<usmc:outputLabel id="create_adapter_id10"	value="#{msg.LBL_CONNVSERVERVIEW}" for="menu2"/>
				<h:outputText id="menu2" value="#{manageVirAdaptersUIBean.vadapterDetail.connVServerString.value}"/>
				
				<usmc:outputLabel id="create_adapter_id11"	value="#{msg.LBL_CONNADAPVIEW}" for="create_adapter_id12" />
				<h:outputText id="create_adapter_id12" value="#{manageVirAdaptersUIBean.vadapterDetail.connVAdapterString}"/>	
			</h:panelGrid>	
			
			</h:panelGrid>		

			<h:panelGrid id="panel7" columns="2">
				
				<hx:commandExButton value="#{msg.LBL_CLOSE}" action="#{manageVirAdaptersUIBean.createVirtualAdapterCancel}" id="vadapcanceladappage">
					<hx:behavior event="onclick" targetAction="virAdapterpanelDialog;manageServerPanel" behaviorAction="hide;get;stop"/>
				</hx:commandExButton>

				<h:commandButton id="help_button_mvsViewStrgAdap"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doViewStorageAdapterHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
	
</hx:panelBox>	

</f:subview>
