
<f:loadBundle
	basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
	var="msg" />

<hx:panelBox layout="pageDirection" id="Procpanel">
<usmc:messageBox id="processor_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                rendered="#{!processorSettingsBean.editProcPanelOpen}"/>
                
<h:panelGrid id="proc_config_panel" width="100%">

	<!-- SubText -->
	<h:outputText id="pageSubText"
		value="#{msg['ProcessorProperties.SectionText1']}" />

	<hx:jspPanel>
		<H2 class="h2Separator"><h:panelGrid id="processingModeText"
			styleClass="panelGrid" columns="1" width="95%" cellpadding="0"
			rowClasses="sectionSeparatorText, sectionSeparatorLine">
			<h:outputText id="MainSep"
				value="#{msg['ProcessorProperties.ModeText']}" />
			<h:outputText value="" />
		</h:panelGrid></H2>
	</hx:jspPanel>
	<h:panelGrid id="panelPartitionProcessorsRadioGroup" columns="2"
		styleClass="panelGrid" cellpadding="5" cellspacing="5" width="100%">

		<!-- Processing Mode Radio buttons -->
		<exfaces:selectOneRadio id="selectModeRadio" layout="pageDirection"
			styleClass="selectOneRadio" disabled="true"
			value="#{processorSettingsBean.processingModeInitial}">
			<f:selectItem itemLabel="#{msg['ProcessorProperties.ModeDedicated']}"
				itemValue="#{processorSettingsBean.dedicatedKey}"></f:selectItem>
			<f:selectItem itemLabel="#{msg['ProcessorProperties.ModeShared']}"
				itemValue="#{processorSettingsBean.sharedKey}"></f:selectItem>
		</exfaces:selectOneRadio>
		<!-- System attributes -->
		<h:panelGroup id="pnlSharedSystemattribs">
			<h:panelGrid id="pnlSharedSystemProperties" columns="2">
				<usmc:outputLabel id="captionTotalProcessingUnits"
					value="#{msg['ProcessorProperties.SystemProcessingUnits']}"></usmc:outputLabel>
				<h:outputText id="txtTotalProcessingUnits"
					value="#{processorSettingsBean.totalSystemProcessingUnits}"></h:outputText>
				<usmc:outputLabel id="captionMinProcessingUnitsPerVS"
					value="#{msg['ProcessorProperties.AvailableProcessingUnits']}"></usmc:outputLabel>
				<h:outputText id="txtMinProcessingUnitsPerVS"
					value="#{processorSettingsBean.totalAvailableProcessingUnits}"></h:outputText>
			</h:panelGrid>
		</h:panelGroup>
	</h:panelGrid>

	<!--  Dedicated Processor Table -->
	<h:panelGroup id="pnlDedicatedProcessorTable"
		rendered="#{processorSettingsBean.intialModeDedicated}">

		<hx:jspPanel>
			<H2 class="h2Separator"><h:panelGrid id="DedicatedSep"
				styleClass="panelGrid" columns="1" width="95%" cellpadding="0"
				rowClasses="sectionSeparatorText, sectionSeparatorLine">
				<h:outputText id="processorTableTitle"
					value="#{msg['ProcessorProperties.DedicatedText']}" />
				<h:outputText value="" />
			</h:panelGrid></H2>
		</hx:jspPanel>
		<h:panelGrid id="dedicatedProcessorGrid" styleClass="panelGrid"
			columns="1" cellspacing="0" width="100%">

			<hx:dataTableEx border="1" cellpadding="0" cellspacing="0"
				columnClasses="columnClass1" headerClass="headerClass"
				footerClass="footerClass" rowClasses="rowClass1, rowClass2"
				id="tableEx1" styleClass="dataTableEx" style="text-align:left"
				value="#{processorSettingsBean.processorPropertiesList}"
				var="processorPropertiesList">

				<!--  Property Column -->
				<hx:columnEx id="propertyColumn">
					<f:facet name="header">
						<usmc:outputLabel id="propertyLabel" styleClass="outputText"
							value="#{msg['ProcessorProperties.Column1']}">
						</usmc:outputLabel>
					</f:facet>
					<h:outputText id="propertyText" styleClass="outputText"
						value="#{processorPropertiesList.property}"></h:outputText>
				</hx:columnEx>
				<!--  Current Column -->
				<hx:columnEx id="currentColumn">
					<f:facet name="header">
						<usmc:outputLabel id="currentLabel" styleClass="outputText"
							value="#{msg['ProcessorProperties.Column2']}">
						</usmc:outputLabel>
					</f:facet>

					<h:outputText id="currentValue" styleClass="outputText"
						value="#{processorPropertiesList.current}">
						<f:convertNumber integerOnly="true" />
					</h:outputText>

				</hx:columnEx>

				<!--  Pending Column -->
				<hx:columnEx id="pendingColumn">
					<f:facet name="header">
						<usmc:outputLabel id="pendingLabel" styleClass="outputText"
							value="#{msg['ProcessorProperties.Column3']}">
						</usmc:outputLabel>
					</f:facet>
					<hx:panelBox>
						<h:outputText id="pendingValue" styleClass="outputText"
							value="#{processorPropertiesList.pending}">
							<f:converter converterId="UsmiNumber" />
							<f:attribute name="fieldName" value="#{msg.ColumnPending}" />
						</h:outputText>
					</hx:panelBox>
				</hx:columnEx>

			</hx:dataTableEx>
		</h:panelGrid>
		<f:verbatim>
			<br>
		</f:verbatim>
		<!--  Processor Sharing CheckBoxes -->
		<hx:panelBox id="panelModeSharingCheckBoxes" cellspacing="0"
			cellpadding="0">
			<h:panelGrid id="pnlCheckBoxesProcessorSharing" columns="2"
				cellspacing="0">
				<h:outputText id="processorShareText" style="font-weight:bold"
					value="#{msg['ProcessorProperties.ProcessorShareText']}"></h:outputText>
				<h:outputText escape="false" value="&nbsp;&nbsp;&nbsp;&nbsp;" />


				<usmc:outputLabel id="lblAllowPartitionInactive"
					styleClass="outputText"
					value="#{msg['ProcessorProperties.Inactive']}"
					for="cbAllowPartitionInactive"></usmc:outputLabel>

				<h:selectBooleanCheckbox id="cbAllowPartitionInactive"
					disabled="true"
					value="#{processorSettingsBean.initialProcInActive}" />

					<usmc:outputLabel id="lblAllowPartitionActive"
						styleClass="outputText"
						value="#{msg['ProcessorProperties.Active']}"
						for="cbAllowPartitionActive" rendered="#{processorSettingsBean.sharedDedCapable}"></usmc:outputLabel>
					<h:selectBooleanCheckbox id="cbAllowPartitionActive"
					rendered="#{processorSettingsBean.sharedDedCapable}"
						disabled="true" value="#{processorSettingsBean.initialProcActive}" />
				
			</h:panelGrid>
		</hx:panelBox>
	</h:panelGroup>

	<!--  Shared Processor Attributes -->
	<h:panelGroup id="pnlSharedProcessorAttirbs"
		rendered="#{!processorSettingsBean.intialModeDedicated}">

		<hx:jspPanel id="jsppanael2">
			<H2 class="h2Separator"><h:panelGrid id="SharedSep"
				styleClass="panelGrid" columns="1" width="95%" cellpadding="0"
				rowClasses="sectionSeparatorText, sectionSeparatorLine">
				<h:outputText id="sharedprocTableTitle"
					value="#{msg['ProcessorProperties.SharedText']}" />
				<h:outputText value="" />
			</h:panelGrid></H2>
		</hx:jspPanel>
		<h:panelGrid id="pnlSharedProcTables" columns="2"
			styleClass="panelGrid" width="100%">

			<!--  Processing Units Table -->
			<h:panelGrid id="sharedProcessingUnitsBox" styleClass="panelGrid"
				width="100%">
				<h:outputText id="processingUnitsTableTitle" styleClass="outputText"
					style="font-weight:bold"
					value="#{msg['ProcessorProperties.Processingunits']}"></h:outputText>
				<f:verbatim>
					<br>
				</f:verbatim>
				<hx:dataTableEx border="1" cellpadding="0" cellspacing="0"
					columnClasses="columnClass1" headerClass="headerClass"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2"
					id="tableProcessingunits" styleClass="dataTableEx"
					style="text-align:left"
					value="#{processorSettingsBean.processingUnitsList}"
					var="processingUnitsList">


					<!--  Property Column -->
					<hx:columnEx id="propertyColumnProcessingunits">
						<f:facet name="header">
							<usmc:outputLabel id="propertyLabelProcessingunits"
								styleClass="outputText"
								value="#{msg['ProcessorProperties.Column1']}">
							</usmc:outputLabel>
						</f:facet>
						<h:outputText id="minProcessingunits" styleClass="outputText"
							value="#{processingUnitsList.property}"></h:outputText>
					</hx:columnEx>
					<!--  Current Column -->
					<hx:columnEx id="currentColumnProcessingunits">
						<f:facet name="header">
							<usmc:outputLabel id="currentProcessingunitsLabel"
								styleClass="outputText"
								value="#{msg['ProcessorProperties.Column2']}">
							</usmc:outputLabel>
						</f:facet>

						<h:outputText id="currentValueProcessingunits"
							styleClass="outputText" value="#{processingUnitsList.current}">
							<f:converter converterId="UsmiDouble" />
							<f:attribute name="fieldName" value="#{msg.ColumnPending}" />
						</h:outputText>
					</hx:columnEx>

					<!--  Pending Column -->
					<hx:columnEx id="pendingColumnProcessingunits">
						<f:facet name="header">
							<usmc:outputLabel id="pendingLabelProcessingunits"
								styleClass="outputText"
								value="#{msg['ProcessorProperties.Column3']}">
							</usmc:outputLabel>
						</f:facet>
					
							<h:outputText id="pendingValueProcessingunits"
								styleClass="outputText" value="#{processingUnitsList.pending}">
								<f:converter converterId="UsmiDouble" />
								<f:attribute name="fieldName" value="#{msg.ColumnPending}" />
							</h:outputText>
					
					</hx:columnEx>

				</hx:dataTableEx>
			</h:panelGrid>
			<h:panelGrid id="sharedVirtualProcessorBox" styleClass="panelGrid"
				width="100%">
				<h:outputText id="virtualProcessorTableTitle"
					styleClass="outputText" style="font-weight:bold"
					value="#{msg['ProcessorProperties.VirtualProcs']}"></h:outputText>
				<f:verbatim>
					<br>
				</f:verbatim>
				<hx:dataTableEx border="1" cellpadding="0" cellspacing="0"
					columnClasses="columnClass1" headerClass="headerClass"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2"
					id="tableVirtualProcessors" styleClass="dataTableEx"
					style="text-align:left"
					value="#{processorSettingsBean.vprocPropertiesList}"
					var="vprocPropertiesList">


					<!--  Property Column -->
					<hx:columnEx id="propertyColumntableVirtualProcessors">
						<f:facet name="header">
							<usmc:outputLabel id="propertyLabeltableVirtualProcessors"
								styleClass="outputText"
								value="#{msg['ProcessorProperties.Column1']}">
							</usmc:outputLabel>
						</f:facet>
						<h:outputText id="minproctableVirtualProcessors"
							styleClass="outputText"
							value="#{vprocPropertiesList.property}"></h:outputText>
					</hx:columnEx>
					<!--  Current Column -->
					<hx:columnEx id="currentColumntableVirtualProcessors">
						<f:facet name="header">
							<usmc:outputLabel id="currentLabeltableVirtualProcessors"
								styleClass="outputText"
								value="#{msg['ProcessorProperties.Column2']}">
							</usmc:outputLabel>
						</f:facet>

						<h:outputText id="currentValuetableVirtualProcessors"
							styleClass="outputText"
							value="#{vprocPropertiesList.current}">
							<f:convertNumber integerOnly="true" />
						</h:outputText>
					</hx:columnEx>

					<!--  Pending Column -->
					<hx:columnEx id="pendingColumntableVirtualProcessors">
						<f:facet name="header">
							<usmc:outputLabel id="pendingLabeltableVirtualProcessors"
								styleClass="outputText"
								value="#{msg['ProcessorProperties.Column3']}">
							</usmc:outputLabel>
						</f:facet>
						
							<h:outputText id="pendingValuetableVirtualProcessors"
								styleClass="outputText"
								value="#{vprocPropertiesList.pending}">
								<f:converter converterId="UsmiNumber" />
								<f:attribute name="fieldName" value="#{msg.ColumnPending}" />
							</h:outputText>
					
					</hx:columnEx>
				</hx:dataTableEx>
			</h:panelGrid>
		</h:panelGrid>
		<f:verbatim>
			<br>
			<br>
		</f:verbatim>

		<!--Sharing Mode Table  -->
		<h:panelGroup id="pnlSharingModeGroup">
			<h:outputText id="sharingModeTableTitle" styleClass="outputText"
				style="font-weight:bold"
				value="#{msg['ProcessorProperties.SharedMode']}"></h:outputText>
			<f:verbatim>
				<br>
				<br>
			</f:verbatim>
			<h:panelGrid id="pnlOutsideSharingMode" styleClass="panelGrid"
				width="100%" cellspacing="0">

				<hx:dataTableEx border="1" cellpadding="0" cellspacing="0"
					columnClasses="columnClass1" headerClass="headerClass"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2"
					id="tableSharingMode" styleClass="dataTableEx"
					style="text-align:left"
					value="#{processorSettingsBean.sharingModeList}"
					var="sharingModeList">


					<!--  Property Column -->
					<hx:columnEx id="propertyColumnSharingMode">
						<f:facet name="header">
							<usmc:outputLabel id="propertyLabelSharingMode"
								styleClass="outputText"
								value="#{msg['ProcessorProperties.Column1']}">
							</usmc:outputLabel>
						</f:facet>
						<h:outputText id="minSharingMode" styleClass="outputText"
							value="#{sharingModeList.property}"></h:outputText>
					</hx:columnEx>
					<!--  Current Column -->
					<hx:columnEx id="currentColumnSharingMode">
						<f:facet name="header">
							<usmc:outputLabel id="currentSharingModeLabel"
								styleClass="outputText"
								value="#{msg['ProcessorProperties.Column2']}">
							</usmc:outputLabel>
						</f:facet>

						<h:outputText id="currentValueSharingMode" styleClass="outputText"
							value="#{sharingModeList.current}"></h:outputText>
					</hx:columnEx>

					<!--  Pending Column -->
					<hx:columnEx id="pendingColumnSharingMode">
						<f:facet name="header">
							<usmc:outputLabel id="pendingLabelSharingMode"
								styleClass="outputText"
								value="#{msg['ProcessorProperties.Column3']}">
							</usmc:outputLabel>
						</f:facet>
						<hx:panelBox>
							<h:outputText id="selectPendSharing" styleClass="outputText"
								value="#{sharingModeList.pendSharingMode}">
							</h:outputText>
						</hx:panelBox>
					</hx:columnEx>

				</hx:dataTableEx>
			</h:panelGrid>
		</h:panelGroup>
	</h:panelGroup>
</h:panelGrid>
<f:verbatim>
	<br>
	<br>
</f:verbatim>
<!--  Processor Compatibility modes -->
<h:panelGroup id="pnlCompatModeGroup"
	rendered="#{processorSettingsBean.compatibiltyModeCapable}">
	<h:panelGrid id="pnlCompatibilityModes" columns="2">
		<usmc:outputLabel id="labelComapatibilityModes"
			styleClass="outputText" style="font-weight:bold"
			value="#{msg['ProcessorProperties.CompatibilityMode']}"
			for="selectComapatibilityModes"></usmc:outputLabel>
		<h:outputText id="selectComapatibilityModes"
			value="#{processorSettingsBean.compatibilityModeInitial}">
		</h:outputText>

	</h:panelGrid>
</h:panelGroup>
<f:verbatim>
	<br>
	<br>
</f:verbatim>
<h:panelGroup id="pnlEditBtn">
	<hx:commandExButton value="#{msg['ProcessorProperties.Edit']}"
		styleClass="commandButton"
		action="#{processorSettingsBean.editProcessorProperties}"
		disabled="#{!processorSettingsBean.hasEditPermission}"
		id="editProcButton">	
	</hx:commandExButton>
</h:panelGroup>
</hx:panelBox>