<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ page language="java" contentType="text/html"
	pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />

<f:subview id="add_physical_adapter">
	<f:loadBundle var="var"
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" />
	<usmc:form id="add_physical_adapter_form"
		includeErrorMessageWidget="false">
		<h:panelGrid cellpadding="2" cellspacing="3" columns="1">
			<h:outputText id="addPhysicalAdapterText"
				value="#{var['IOAdapters.add.text']}" />
			<usmc:navigatorWidget id="addPhysicalAdaptersNavigator"
				modelID="USMI" homeID="addPhysicalAdaptersHomeID"
				includeEmptyRows="false" selectionPolicy="multiple"
				nonNavigationActionsAllowed="false" includeSearch="true" rows="10"
				includeNavigationalHistory="false"
				hyperlinkNavigationalHistory="false">
			</usmc:navigatorWidget>
			<hx:panelBox>
				<hx:commandExButton value="#{var['CommandButton.OK']}"
					action="#{AddPhysicalAdapterTask.submit}"
					disabled="#{partitionGeneralPropertiesBean.ioNotAvailable}">
					<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
				</hx:commandExButton>
				<hx:commandExButton value="#{var['CommandButton.Cancel']}"
					action="#{AddPhysicalAdapterTask.cancel}">
					<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
				</hx:commandExButton>
			</hx:panelBox>
		</h:panelGrid>
	</usmc:form>
</f:subview>
