<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />

<f:subview id="add_physical_adapter">
	<f:loadBundle var="var"
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" />

		<h:outputText value="#{var['GeneralProperties.SectionTitle']}:"
			style="color:#6060CC; font-weight: bold" />

		<h:panelGrid cellpadding="2" cellspacing="3" columns="2">

			<h:outputText value="#{var['IOAdapters.Description']}:" />
			<h:outputText value="#{physicalAdapterGeneralProperties.description}" />

			<h:outputText value="#{var['IOAdapters.Location.Code']}:" />
			<h:outputText
				value="#{physicalAdapterGeneralProperties.locationCode}" />

			<h:outputText value="#{var['IOAdapters.Feature.Code']}:" />
			<h:outputText value="#{physicalAdapterGeneralProperties.featureCode}" />

		</h:panelGrid>

		<h:outputText
			value="#{var['IOAdapters.Properties.PCI.Configuration.Data']}:"
			style="color:#6060CC; font-weight: bold" />

		<h:panelGrid cellpadding="2" cellspacing="3" columns="2">

			<h:outputText value="#{var['IOAdapters.Vendor.Code']}:" />
			<h:outputText value="#{physicalAdapterGeneralProperties.vendorID}" />

			<h:outputText value="#{var['IOAdapters.Device.Code']}:" />
			<h:outputText value="#{physicalAdapterGeneralProperties.deviceID}" />

			<h:outputText value="#{var['IOAdapters.Subsystem.Vendor.Code']}:" />
			<h:outputText
				value="#{physicalAdapterGeneralProperties.subSystemVendorID}" />

			<h:outputText value="#{var['IOAdapters.Subsystem.Device.Code']}:" />
			<h:outputText
				value="#{physicalAdapterGeneralProperties.subSystemDeviceID}" />

			<h:outputText value="#{var['IOAdapters.Class.Code']}:" />
			<h:outputText value="#{physicalAdapterGeneralProperties.classCode}" />

			<h:outputText value="#{var['IOAdapters.Revision.Code']}:" />
			<h:outputText
				value="#{physicalAdapterGeneralProperties.revisionCode}" />

		</h:panelGrid>


</f:subview>