<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%><%-- tpl:metadata --%>
	<%-- jsf:pagecode language="java" location="/src/pagecode/jsps/sharedprocessorpool/ModifyShareProcAttribute1.java" --%><%-- /jsf:pagecode --%>
<%-- /tpl:metadata --%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />

<f:subview id="CreateNewPhysicalVolumeSubView">
<f:loadBundle basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" var="msg" />
	<usmc:form id="form_createNewPhysicalVolume" includeErrorMessageWidget="false">
	
	
	  <h:panelGrid rendered="#{addPVBean.hasRmc =='false'}" id="AddPVRMCMessage_Panel">
			<h:outputText id="PV_RMCText" value="#{msg['rmc.noRmcMessage']}" styleClass="outputText"></h:outputText>
		</h:panelGrid>
	
	<h:panelGrid rendered="#{addPVBean.hasRmc =='true'}" id="CreateNewPhysicalVolumeOverviewPanelGrid">
		<hx:panelBox id="CreateNewPhysicalVolumePanelBox">
			<h:outputText id="CreateNewPhysicalVolume_HeaderNote" value="#{msg['clientPVProp.addOverviewNote']}" styleClass="outputText"></h:outputText>
		</hx:panelBox>
	</h:panelGrid>
		
	    <h:panelGrid rendered="#{addPVBean.hasRmc =='true'}" id="CreateNewPhysicalVolumeComboPanelGrid" columns="2">
			<h:outputText id="labelViosList" styleClass="outputText" value="#{msg['clientPVProp.VIOS']}" />
			<h:selectOneMenu id="ViosListMenu_CreateNewPhysicalVolume" styleClass="selectOneMenu" immediate="true" value="#{addPVBean.selectedVios}" onchange="submit()">
			<f:selectItems value="#{addPVBean.allVios}"/>
			<f:valueChangeListener type="com.ibm.dpsm.console.vsm.manageserver.task.storagedev.physicalvolume.AddPhysicalVolumeTask"/>
		</h:selectOneMenu>	
		</h:panelGrid>
		
		<h:panelGrid rendered="#{addPVBean.hasRmc =='true'}" id="AddPhysicalVolume_PanelGrid_Table" columns="1">
			<usmc:navigatorWidget  id="PhsicalVolumeAddNavigatorWidget"
											   modelID="USMI" homeID="PV_ADD_TABLE"
											   selectionPolicy="multiple"
											   rows="5"
						                       includeSearch="false" nonNavigationActionsAllowed="false" 
						                       includeEmptyRows="false" includeSort="false" 
						                       includeNavigationalHistory="false"
						                       includeFilter="false"> 
					    </usmc:navigatorWidget>
		</h:panelGrid>
		
		
		
    <h:panelGrid rendered="#{addPVBean.scsiMappingNotExist}" id="panelGrid_ViewVSCSI_label_createNewPhysical" columns="1" styleClass="panelGrid" cellspacing="5" width="100%">
			<h:outputText id="VSCSIPV_label_createNewPhysical" style="font-weight:bold" styleClass="outputText" value="#{msg['clientPVProp.VSCSINote']}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			</h:panelGrid> 
		
	<h:panelGrid rendered="#{addPVBean.scsiMappingNotExist}" id="AddPhysicalVolume_PanelGrid_3_createNewPhysical" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">
	<usmc:outputLabel id="pv_add_clientSCSI_labelcreateNewPhysical" styleClass="outputText" value="#{msg['viosVDProp.clientAdapter']}" for="pv_add_clientSCSI_outputText_createNewPhysical"></usmc:outputLabel>
	<h:inputText id="pv_add_clientSCSI_outputText_createNewPhysical" maxlength="7" required="true" value="#{addPVBean.clientAdapter}">
	<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['viosVDProp.clientAdapter']}" />
	</h:inputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<usmc:outputLabel id="pv_add_serverSCSI_label_createNewPhysical" styleClass="outputText" value="#{msg['viosVDProp.serverAdapter']}" for="pv_add_serverSCSI_outputText_createNewPhysical"></usmc:outputLabel>
	<h:inputText id="pv_add_serverSCSI_outputText_createNewPhysical" maxlength="7" required="true" value="#{addPVBean.serverAdapter}">
	<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['viosVDProp.serverAdapter']}" />
	</h:inputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<hx:behaviorKeyPress key="Enter" id="behaviorKeyPressAddPhysicalVolume" behaviorAction="stop" targetAction="" target="AddPhysicalVolume_PanelGrid_3_createNewPhysical"></hx:behaviorKeyPress>
							
</h:panelGrid>
<h:panelGrid id="panelGrid_vios_createNewPhysical_CommandButtons1" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">		
		<h:panelGroup style="display:block;text-align:left">
			<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}" action="#{ADDPHYSICALVOLUMETASK.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
			<hx:commandExButton id="cancel" value="#{msg['commandButton.cancel']}" action="#{ADDPHYSICALVOLUMETASK.cancel}" immediate="true">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGroup>
</h:panelGrid>

	
</usmc:form>
	
</f:subview>