<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />
<f:subview id="EditStorageAdaptersDialogView">
<f:loadBundle
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />
<usmc:form id="form_EditVirtualStorage" includeErrorMessageWidget="false">

<h:panelGrid  id="panelGrid_EditStorageAdapters" width="100%" styleClass="panelGrid">
	<h:outputText id="EditStorageAdaptersOverviewText" value="#{msg['editStorageAdapters.overviewMessage']}"></h:outputText>
	<h:outputText  value="Blank" rendered="false"></h:outputText>
</h:panelGrid >

<h:panelGrid id="panelGrid_EditVAdapters" columns="1" styleClass="panelGrid" cellspacing="5" width="100%">
	<h:outputText id="EditAdapter_adapterIdOutputText" styleClass="outputText" value="#{msg['addStorageAdapters.adapterID']}"></h:outputText>
	<h:inputText id="EditAdapter_adapterIdInputText" maxlength="7" required="true" value="#{editVirtualAdapterBean.adapterId}">
	<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['editVirtualAdapterBean.adapterId']}" />
	</h:inputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="EditAdapter_adapterTypeOutputTextLabel" styleClass="outputText" value="#{msg['addStorageAdapters.adapterType']}"></h:outputText>
	<h:outputText id="EditAdapter_adapterTypeOutputText" value="#{editVirtualAdapterBean.adapterType}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
							
	<h:outputText id="EditAdapter_ConnectingPartitionInfo" styleClass="outputText" value="#{msg['addStorageAdapters.connectingPartitionInfo']}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
								
	<h:outputText id="EditAdapter_ConnectingPartition" styleClass="outputText" value="#{msg['addStorageAdapters.connectionPartition']}" ></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
						
	<h:selectOneMenu id="EditAdapter_ConnectingPartitionSelectOneMenu" styleClass="selectOneMenu" value="#{editVirtualAdapterBean.connectingPartition}">
			<f:selectItems value="#{editVirtualAdapterBean.partitionList}"/>
			
	</h:selectOneMenu>
	<h:outputText value="Blank" rendered="false"></h:outputText>
						
	<h:outputText id="EditAdapter_connectingAdapterId" styleClass="outputText" value="#{msg['addStorageAdapters.ConnectingadapterID']}" ></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	<h:inputText id="EditAdapter_connectingOartitionInputValue" maxlength="7" required="true" value="#{editVirtualAdapterBean.serverAdapterId}">
	<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['editVirtualAdapterBean.ConnectingadapterID']}" />
	</h:inputText>
	<hx:behaviorKeyPress key="Enter" id="behaviorKeyPressEditStorageAdapter" behaviorAction="stop" targetAction="" target="panelGrid_EditVAdapters"></hx:behaviorKeyPress>						
</h:panelGrid>
<h:panelGrid id="panelGrid_CommandButtons1" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">		
		<h:panelGroup style="display:block;text-align:left">
			<hx:commandExButton id="ok" value="#{msg['CommandButton.OK']}" action="#{EDITVIRTUALSTORAGE.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
			<hx:commandExButton id="cancel" value="#{msg['CommandButton.Cancel']}" action="#{EDITVIRTUALSTORAGE.cancel}" immediate="true">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGroup>
</h:panelGrid>

</usmc:form>		
</f:subview>
