<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%><%-- tpl:metadata --%>
	<%-- jsf:pagecode language="java" location="/src/pagecode/jsps/sharedprocessorpool/ModifyShareProcAttribute1.java" --%><%-- /jsf:pagecode --%>
<%-- /tpl:metadata --%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />

<f:subview id="AddVirtualFCSubView">
<f:loadBundle basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" var="msg" />
	<h:form id="form_AddClientFC">
	
	<h:panelGrid  id="panelGrid_SlotNotEmptyforVFC" rendered="#{AddVFCBean.showErrorMsg}" width="100%" styleClass="panelGrid">
	<h:outputText id="SlotUnavailableErrorMessageTextforVFC" value="#{msg['addStorageAdapters.MAX_SLOT_NUM_REACHED']}"></h:outputText>
	<h:outputText  value="Blank" rendered="false"></h:outputText>
</h:panelGrid >
	
	
	<h:panelGrid id="AddVirtualFCMainGrid" rendered="#{AddVFCBean.slotAvailable}">
		<hx:panelBox id="AddVirtualFCHeader">
			<h:outputText id="AddFC_HeaderNote" value="#{msg['vsmADDFC.OverviewMessage']}" styleClass="outputText"></h:outputText>
		</hx:panelBox>
		
	    <h:panelGrid id="AddFCPanelGrid2" columns="2">
	    	<usmc:outputLabel id="AddFC_Client_Adapter" styleClass="outputText" value="#{msg['vsmADDFC.CLientAdapterID']}" for="AddFC_Client_1"></usmc:outputLabel>
			<h:inputText id="AddFC_Client_1" maxlength="7" required="true" value="#{AddVFCBean.clientAdapterId}" styleClass="inputText">
			<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['AddVFCBean.ClientAdapterId']}" />
			</h:inputText>
		</h:panelGrid>
		
		<h:panelGrid id="AddFCPanelGrid4" columns="1">
			<h:outputText value="#{msg['vsmADDFC.AdapterType']}" styleClass="outputText"></h:outputText>
		</h:panelGrid>
		
		<h:panelGrid id="AddFCPanelGrid3" columns="1">
			<h:outputText value="#{msg['vsmADDFC.wwpns']}" styleClass="outputText"></h:outputText>	
		</h:panelGrid>
	<hx:behaviorKeyPress key="Enter" id="behaviorKeyPressAddFcFirstStorageAdapter" behaviorAction="stop" targetAction="" target="AddVirtualFCMainGrid"></hx:behaviorKeyPress>	
	</h:panelGrid>
	
	<h:panelGrid id="AddVirtualFCSecondGrid" columns="1" rendered="#{AddVFCBean.slotAvailable}">
		<hx:panelBox id="ConnectingPartitionHeader">
			<h:outputText id="AddFC_ConnectingPartitionNote" style="font-weight:bold" value="#{msg['vsmADDFC.ConnectingPartitionInfo']}" styleClass="outputText"></h:outputText>
		</hx:panelBox>
	</h:panelGrid>
	<h:panelGrid id="AddFCPanelGrid5" columns="1" rendered="#{AddVFCBean.slotAvailable}">
		<h:outputText id="AddFC_ConnectPartitionText" value="#{msg['vsmADDFC.ConnectionPartition']}" styleClass="outputText"></h:outputText>
		<h:selectOneMenu id="ConnectPartitionMenu" styleClass="selectOneMenu" value="#{AddVFCBean.serverType}">
			<f:selectItems value="#{AddVFCBean.serverTypeList}"/>
		</h:selectOneMenu>
	</h:panelGrid>
		
	<h:panelGrid id="ConnectingAdapterID" columns="1" rendered="#{AddVFCBean.slotAvailable}">
		<h:outputText id="AddFC_ConnectingAdapterText" value="#{msg['vsmADDFC.ConnectingAdapterID']}" styleClass="outputText"></h:outputText>
		<h:inputText id="AddFC_ServerAdapterID2" maxlength="7" required="true" value="#{AddVFCBean.serverAdapterId}" styleClass="inputText">
		<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['AddVFCBean.serverAdapterId']}" />
		</h:inputText>
		<hx:behaviorKeyPress key="Enter" id="behaviorKeyPressAddFcSecondStorageAdapter" behaviorAction="stop" targetAction="" target="ConnectingAdapterID"></hx:behaviorKeyPress>
	</h:panelGrid>
		
	<h:panelGrid id="AddVirtualFCButtonsGrid">
		<h:panelGroup style="display:block;text-align:left">
			<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}" action="#{ADDVIRTUALFC.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
			<hx:commandExButton id="cancel" value="#{msg['commandButton.cancel']}" action="#{ADDVIRTUALFC.cancel}" immediate="true">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGroup>
	</h:panelGrid>
	
	</h:form>
	
</f:subview>