<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />

<f:subview id="assignPoolAttributes">
	<f:loadBundle basename="com.ibm.dpsm.console.vsm.spp.nl1.VSPPResourceBundle" var="msg" />	
	
		 <h:panelGrid id="assginPoolMainGrid">
 		 <hx:panelBox id="partitionHeader">
				<h:outputLabel for="partitionHeader"  styleClass="outputText" value="#{msg['AssignPartitionToPool_HEADER']}"/>
		 </hx:panelBox>
 		 <hx:panelBox id="subPartitionHeader">
				<h:outputLabel for="subPartitionHeader"  styleClass="outputText" value="#{msg['AssignPartitionToPool_SUBHEADER']}"/>
		 </hx:panelBox>
		 <h:panelGrid id="assignPoolsGrid" columns="2"> 

				<h:outputLabel for="partNameValue"  styleClass="outputText" value="#{msg['AssignPartitionToPool_partName']}"/>
				<h:outputText id="partNameValue" styleClass="outputText" value="#{partPoolNodeBean.lpar_name}"></h:outputText>
		    	
                <h:outputLabel for="partIdValue"  styleClass="outputText" value="#{msg['AssignPartitionToPool_partId']}"/>
				<h:outputText id="partIdValue" styleClass="outputText" value="#{partPoolNodeBean.lpar_id}"></h:outputText>
				
				<h:outputLabel for="Pool_list"  styleClass="outputText" value="#{msg['AssignPartitionToPool_poolNameID']}"/>
				 <h:selectOneMenu id="Pool_list" value="#{partPoolNodeBean.selectedPoolId}">
							  <f:selectItems  value="#{partPoolNodeBean.listOfPoolId}" />
				 </h:selectOneMenu>
		
				<h:panelGroup style="display:block;text-align:left">
					<h:commandButton id="ok" value="#{msg['AssignPartitionToPool.OK']}" action="#{ASSIGNPOOL.submit}"></h:commandButton>
					<h:commandButton id="cancel" value="#{msg['AssignPartitionToPool.CANCEL']}" action="#{ASSIGNPOOL.cancel}" immediate="true">
					</h:commandButton>
				</h:panelGroup>
		
			</h:panelGrid>
		 </h:panelGrid>
	
</f:subview>

